{%extends "account.html"%}
{%block main%}
<section class="registration-form sent-messages">
    {% if g.search_form %}
    <form class="navbar-form navbar-left" method="get"
            action="{{ url_for('messages.search') }}">
        <div class="form-group">
            {{ g.search_form.q(size=20, class='form-control',
                placeholder=g.search_form.q.label.text) }}
        </div>
    </form>
    {% endif %}
    <ul class="sent-message-container">
        {%for sent_message in sent_messages%}
        <li class="sent-message">
            <span>
                <b>{{sent_message.recipient.contact_name}}:</b>
            </span>
            <span>
                {{sent_message.message_body}}
            </span>
            <div>
                <span class="message-time">{{moment(sent_message.timestamp).fromNow()}}</span>
            </div>
        </li>
        {%endfor%}
    </ul>
    <div class="pagination">
        <div class="scroll-button">
            {%if prev_url %}
            <a class="styled-button" href="{{prev_url}}">Prev</a>
            {%endif%}
        </div>
        <div class="scroll-button">
            <button class="styled-button site-theme-color" id = "download_button" onclick='create_download_file("{{url_for("messages.download_messages", user_id=current_user.id)}}")'>Download</button>
        </div>
        <div class="scroll-button">
            {% if next_url %}
            <a class="styled-button" href="{{next_url}}">next</a>
            {%endif%}
        </div>
    </div>
</section>
<aside class="contacts-aside">
    <h1>Contacts</h1>
    <ul class="contacts-list">
    {%for contact in contacts%}
        <li class="contact-item"><a class="styled-button" href="{{url_for('messages.sent_messages', recipient_no=contact.contact_no)}}">{{contact.contact_name}} : {{contact.contact_no}}</a></li>
    {%endfor%}
    </ul>
</aside>              
{%endblock main%}